Summary:	Bee2evp is a library which encapsulates bee2 into OpenSSL
Name:		bee2evp	
Version:	1.0.5
Release:	1%{?dist}
License:	GPLv3
Url:		http://apmi.bsu.by/blog/cryptology/bee2evp.html
Source0:	https://notabug.org/kashcheyeu/bee2evp-path/archive/master.zip
BuildRequires:	bee2-devel, cmake, gcc, openssl-devel

%if "%dist.%{_arch}" == ".el6.x86_64"
BuildRequires:	devtoolset-8
%endif

%description
Bee2evp is a cryptographic library which encapsulates bee2 into OpenSSL. Bee2evp provides cryptographic services using the EVP interface. Bee2evp is organized as an OpenSSL engine.

%package		devel
Summary:		Headers for package bee2evp
Requires:		%{name} = %{version}-%{release}
%description	devel
Headers for package bee2evp.

#------------------------------------------------------------------

%prep
%setup -q -n bee2evp-path

%build

%if "%dist.%{_arch}" == ".el6.x86_64"
. /opt/rh/devtoolset-8/enable
%endif

%cmake

%install

%if %{defined mageia}
cd build
%endif

%if %{defined suse_version}
cd build
%endif

%make_install DESTDIR=%{buildroot}

%check

%files
%{_libdir}/libbee2evp.so

%files devel
/usr/share/bee2evp/bee2evp.h
/usr/share/bee2evp/info.h

%changelog
* Sat Jun 27 2020 Yury Kashcheyeu <kashcheyeu@tiksi.ru> - 2020.04.01-1
- Initial RPM releas
